///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobFlameObjH
#define MobFlameObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"

//...
//   ...
//      :)
const DWORD Flm_Sgn_Coords = 3149856770;   //(02 00 BF BB) //  (20)
const DWORD Flm_Sgn_FlameSize = 3149856769;   //(01 00 BF BB) //   (12)
const DWORD Flm_Sgn_SoundStr = 3149856771;   //(03 00 BF BB) //      (8+STR)
//{       }

//  ...
class TMob;

//  ...
class TFlameObjBlock : public TObjectObjBlock //    .
{
  public:
    float CoordX;                 // 
    float CoordY;                 // --"--
    float CoordZ;                 // --"--
    float FlameSize;              //  
    String SoundStr;               //     

    // ...
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TFlameObjBlock* PFlameObjBlock;   //  %).

#endif
